@import url(../../fonts/web-fonts.css);
@import url(../../core-windows/styles/window-styles.css);
@import url(icon-styles.css);
@import url(taskbar-styles.css);

@import url(../../core-windows/styles/settings-panel.css);

* {
    box-sizing: border-box;
}

body {
    font-family: "Hypnospace";

    /* background: var(--wallpaper); */
    background-attachment: fixed;

    color:var(--main-text-color);

    margin: 0;
    padding: 0;
    font-size: 18px;

    height: 100vh;
    width: 100vw;
    font-size: 18px;
    cursor: var(--c-default);

    --text-top-padding:3px;
}

.desktop {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: calc(100vh - 55px);
    position: absolute;
    top:0;
    left:0;
    overflow: hidden;
}

.hidden {
  visibility: hidden !important;
}

.crisp {
    image-rendering: pixelated;
    image-rendering: -moz-crisp-edges;
    image-rendering: crisp-edges;
}

.cd {
    animation: rotation 3s infinite linear;
    width: 78px;
    width: 156px;
    margin: auto;
}

.music-window {
  position: absolute;
  top: 10px;
  right: 10px;
}

.boombox {
  position: relative;
  background-color: #00a3dea2;
  padding:20px;
}